iDocumentNodeIterator Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iDocumentNodeIterator Struct Reference
Utilities

An iterator over iDocumentNode. More...

`#include <iutil/document.h>`

Inheritance diagram for iDocumentNodeIterator:

List of all members.

## Public Member Functions
virtual bool | HasNext ()=0
| Are there more elements?
virtual csRef< iDocumentNode > | Next ()=0
| Get next element.
Position querying
The position returned by an iterator gives an indicator for the place of the next item returned in relation to all items iterated. It is not an accurate counter. In fact, after an element is fetched, the position may increase by any number or not at all. The only guarantees made are: The next position is less than the last position as long as elements are available, The next position is equal to the last position if no more elements are available, and After a Next() call, the next position is larger or equal to the next position before the call.
virtual size_t | GetNextPosition ()=0
| Get an index of the next node.
virtual size_t | GetEndPosition ()=0
| Return the index of the "end" position (the position that is taken after no more elements are available).

## Detailed Description

An iterator over iDocumentNode.

Main creators of instances implementing this interface:

- iDocumentNode::GetNodes()

Definition at line 130 of file document.h.

## Member Function Documentation

virtual size_t iDocumentNodeIterator::GetEndPosition | ( |  | ) | `[pure virtual]`

Return the index of the "end" position (the position that is taken after no more elements are available).

Implemented in CS::DocSystem::Implementation::FilterDocumentNodeIterator< T >, and csEmptyDocumentNodeIterator.

virtual size_t iDocumentNodeIterator::GetNextPosition | ( |  | ) | `[pure virtual]`

Get an index of the next node.

Implemented in CS::DocSystem::Implementation::FilterDocumentNodeIterator< T >, and csEmptyDocumentNodeIterator.

virtual bool iDocumentNodeIterator::HasNext | ( |  | ) | `[pure virtual]`

Are there more elements?

Implemented in CS::DocSystem::Implementation::FilterDocumentNodeIterator< T >, and csEmptyDocumentNodeIterator.

virtual csRef<iDocumentNode> iDocumentNodeIterator::Next | ( |  | ) | `[pure virtual]`

Get next element.

Implemented in CS::DocSystem::Implementation::FilterDocumentNodeIterator< T >, and csEmptyDocumentNodeIterator.

The documentation for this struct was generated from the following file:

- iutil/document.h